diff --git libsemanage/libsemanage.spec libsemanage/libsemanage.spec.tmp
index 69df52c530..352a3e3905 100644
--- libsemanage/libsemanage.spec
+++ libsemanage/libsemanage.spec.tmp
@@ -7,7 +7,7 @@
 Summary: SELinux binary policy manipulation library 
 Name: libsemanage
 Version: 2.6
-Release: 5%{?dist}
+Release: 6%{?dist}
 License: LGPLv2+
 Group: System Environment/Libraries
 Source: https://raw.githubusercontent.com/wiki/SELinuxProject/selinux/files/releases/20161014/libsemanage-2.6.tar.gz
@@ -64,12 +64,15 @@ Requires: %{name}%{?_isa} = %{version}-%{release} ustr
 The semanage-devel package contains the libraries and header files
 needed for developing applications that manipulate binary policies. 
 
-%package python
+%package -n python2-libsemanage
+%{?python_provide:%python_provide python2-libsemanage}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary: semanage python bindings for libsemanage
 Group: Development/Libraries
 Requires: %{name}%{?_isa} = %{version}-%{release}
 
-%description python
+%description -n python2-libsemanage
 The libsemanage-python package contains the python bindings for developing 
 SELinux management applications. 
 
@@ -180,7 +183,7 @@ rm -rf ${RPM_BUILD_ROOT}
 %{_includedir}/semanage/*.h
 %{_mandir}/man3/*
 
-%files python
+%files -n python2-libsemanage
 %defattr(-,root,root)
 %{python_sitearch}/_semanage.so
 %{python_sitearch}/semanage.py*
@@ -195,6 +198,10 @@ rm -rf ${RPM_BUILD_ROOT}
 %endif # if with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.6-6
+- Python 2 subpackage renamed to python2-libsemanage
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.6-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git libssh2-python/libssh2-python.spec libssh2-python/libssh2-python.spec.tmp
index 9b0ea294ed..04e565734d 100644
--- libssh2-python/libssh2-python.spec
+++ libssh2-python/libssh2-python.spec.tmp
@@ -3,7 +3,7 @@
 Summary: Python binding for the libssh2 library
 Name: libssh2-python
 Version: 0.7.1
-Release: 14%{?dist}
+Release: 15%{?dist}
 License: LGPLv2+
 Group: Development/Libraries
 URL: https://github.com/wallunit/ssh4py
@@ -18,10 +18,20 @@ BuildRequires: libssh2-devel
 BuildRequires: openssl-devel
 BuildRequires: zlib-devel
 
-%description
-libssh2-python is a python binding for the libssh2 library
+%global _description\
+libssh2-python is a python binding for the libssh2 library\
 
 
+%description %_description
+
+%package -n python2-libssh2
+Summary: %summary
+%{?python_provide:%python_provide python2-libssh2}
+# Remove before F30
+Provides: libssh2-python = %{version}-%{release}
+
+%description -n python2-libssh2 %_description
+
 %prep
 %setup -q
 
@@ -35,12 +45,16 @@ rm -rf $RPM_BUILD_ROOT
 python setup.py install -O1 --root=$RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-libssh2
 %doc README.txt COPYING
 %{python_sitearch}/libssh2.so
 %{python_sitearch}/libssh2*-*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.1-15
+- Python 2 subpackage renamed to python2-libssh2
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-14
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git libstoragemgmt/libstoragemgmt.spec libstoragemgmt/libstoragemgmt.spec.tmp
index 0135673be9..ef51ee6c02 100644
--- libstoragemgmt/libstoragemgmt.spec
+++ libstoragemgmt/libstoragemgmt.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           libstoragemgmt
 Version:        1.4.0
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        Storage array management library
 Group:          System Environment/Libraries
 License:        LGPLv2+
@@ -53,14 +53,17 @@ Requires:       %{name}%{?_isa} = %{version}-%{release}
 The %{name}-devel package contains libraries and header files for
 developing applications that use %{name}.
 
-%package        python
+%package        -n python2-%{name}
+%{?python_provide:%python_provide python2-%{name}}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:        Python2 client libraries and plug-in support for %{name}
 Group:          System Environment/Libraries
 Requires:       %{name} = %{version}-%{release}
 Requires:       %{name}-python-clibs
 BuildArch:      noarch
 
-%description    python
+%description    -n python2-%{name}
 The %{name}-python package contains python client libraries as
 well as python framework support and open source plug-ins written in python.
 
@@ -388,7 +391,7 @@ fi
 %{_libdir}/*.so
 %{_libdir}/pkgconfig/%{name}.pc
 
-%files python
+%files -n python2-%{name}
 %defattr(-,root,root,-)
 #Python library files
 %dir %{python_sitelib}/lsm
@@ -528,6 +531,10 @@ fi
 %{_mandir}/man1/hpsa_lsmplugin.1*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.4.0-3
+- Python 2 subpackage renamed to python2-libstoragemgmt
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git libsvm/libsvm.spec libsvm/libsvm.spec.tmp
index 12fb238a80..258e0e594a 100644
--- libsvm/libsvm.spec
+++ libsvm/libsvm.spec.tmp
@@ -9,7 +9,7 @@
 
 Name:           libsvm
 Version:        3.21
-Release:        4%{?dist}
+Release:        5%{?dist}
 Summary:        A Library for Support Vector Machines
 
 Group:          Development/Libraries
@@ -67,7 +67,10 @@ Header file, object file of libsvm in C, C++ and Java.
 Install this package if you want to develop programs with libsvm.
 
 
-%package python
+%package -n python2-libsvm
+%{?python_provide:%python_provide python2-libsvm}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:    Python tools and interfaces for libsvm
 Group:      Development/Libraries
 BuildRequires:  python-devel >= 2.4 gawk
@@ -75,7 +78,7 @@ BuildRequires:  python-devel >= 2.4 gawk
 Requires:       %{name} = %{version}-%{release}
 Requires:       gnuplot
 
-%description python
+%description -n python2-libsvm
 Python tools and interfaces for libsvm.
 Install this package if you want to develop
 programs with libsvm in Python.
@@ -257,7 +260,7 @@ rm -rf %{buildroot}
 %{_includedir}/%{name}/
 %{_libdir}/%{name}.so
 
-%files python
+%files -n python2-libsvm
 %defattr(-,root,root,-)
 %doc python/README-Python tools/README-Tools
 %{libsvm_python_dir}
@@ -294,6 +297,10 @@ rm -rf %{buildroot}
 %{_datadir}/applications/*%{name}-svm-toy-qt.desktop
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.21-5
+- Python 2 subpackage renamed to python2-libsvm
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.21-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git libteam/libteam.spec libteam/libteam.spec.tmp
index bc07c6daf6..acc90a8a2e 100644
--- libteam/libteam.spec
+++ libteam/libteam.spec.tmp
@@ -1,6 +1,6 @@
 Name: libteam
 Version: 1.27
-Release: 2%{?dist}
+Release: 3%{?dist}
 Summary: Library for controlling team network device
 Group: System Environment/Libraries
 License: LGPLv2+
@@ -42,7 +42,8 @@ Group: Development/Libraries
 Summary: Libraries and header files for teamd development
 Requires: teamd = %{version}-%{release}
 
-%package -n python-libteam
+%package -n python2-libteam
+%{?python_provide:%python_provide python2-libteam}
 Group: Development/Libraries
 Summary: Team network device library bindings
 Requires: libteam = %{version}-%{release}
@@ -58,7 +59,7 @@ The teamd package contains team network device control daemon.
 The teamd-devel package contains the header files and libraries
 necessary for developing programs using libteamdctl.
 
-%description -n python-libteam
+%description -n python2-libteam
 The team-python package contains a module that permits applications
 written in the Python programming language to use the interface
 supplied by team network device library.
@@ -143,11 +144,15 @@ python ./setup.py install --root $RPM_BUILD_ROOT -O1
 %{_libdir}/libteamdctl.so
 %{_libdir}/pkgconfig/libteamdctl.pc
 
-%files -n python-libteam
+%files -n python2-libteam
 %doc COPYING _tmpdoc2/examples
 %{python_sitearch}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.27-3
+- Python 2 subpackage renamed to python2-libteam
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.27-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git libuser/libuser.spec libuser/libuser.spec.tmp
index 3c876cdfa2..75b5f3393d 100644
--- libuser/libuser.spec
+++ libuser/libuser.spec.tmp
@@ -1,6 +1,6 @@
 Name: libuser
 Version: 0.62
-Release: 8%{?dist}
+Release: 9%{?dist}
 Group: System Environment/Base
 License: LGPLv2+
 URL: https://fedorahosted.org/libuser/
@@ -37,12 +37,15 @@ Requires: glib2-devel%{?_isa}
 The libuser-devel package contains header files, static libraries, and other
 files useful for developing applications with libuser.
 
-%package python
+%package -n python2-libuser
+%{?python_provide:%python_provide python2-libuser}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary: Python 2 bindings for the libuser library
 Group: Development/Libraries
 Requires: libuser%{?_isa} = %{version}-%{release}
 
-%description python
+%description -n python2-libuser
 The libuser-python package contains the Python 2 bindings for
 the libuser library, which provides a Python 2 API for manipulating and
 administering user and group accounts.
@@ -131,7 +134,7 @@ LC_ALL=C.UTF-8 python3 -c "import libuser"
 %exclude %{_libdir}/*.la
 %exclude %{_libdir}/%{name}/*.la
 
-%files python
+%files -n python2-libuser
 %doc python2/python/modules.txt
 %{python2_sitearch}/*.so
 %exclude %{python2_sitearch}/*.la
@@ -148,6 +151,10 @@ LC_ALL=C.UTF-8 python3 -c "import libuser"
 %{_datadir}/gtk-doc/html/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.62-9
+- Python 2 subpackage renamed to python2-libuser
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.62-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git libvirt-python/libvirt-python.spec libvirt-python/libvirt-python.spec.tmp
index 1a6bd9152e..57898cfe1c 100644
--- libvirt-python/libvirt-python.spec
+++ libvirt-python/libvirt-python.spec.tmp
@@ -7,7 +7,7 @@
 Summary: The libvirt virtualization API python2 binding
 Name: libvirt-python
 Version: 3.5.0
-Release: 3%{?dist}%{?extra_release}
+Release: 4%{?dist}%{?extra_release}
 Source0: http://libvirt.org/sources/python/%{name}-%{version}.tar.gz
 Url: http://libvirt.org
 License: LGPLv2+
@@ -26,12 +26,22 @@ BuildRequires: python3-lxml
 %{?filter_provides_in: %filter_provides_in %{python_sitearch}/.*\.so}
 %{?filter_setup}
 
-%description
-The libvirt-python package contains a module that permits applications
-written in the Python programming language to use the interface
-supplied by the libvirt library to use the virtualization capabilities
+%global _description\
+The libvirt-python package contains a module that permits applications\
+written in the Python programming language to use the interface\
+supplied by the libvirt library to use the virtualization capabilities\
 of recent versions of Linux (and other OSes).
 
+%description %_description
+
+%package -n python2-libvirt
+Summary: %summary
+%{?python_provide:%python_provide python2-libvirt}
+# Remove before F30
+Provides: libvirt-python = %{version}-%{release}
+
+%description -n python2-libvirt %_description
+
 %if %{with_python3}
 %package -n libvirt-python3
 Summary: The libvirt virtualization API python3 binding
@@ -72,7 +82,7 @@ CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
 %{__python3} setup.py test
 %endif
 
-%files
+%files -n python2-libvirt
 %defattr(-,root,root)
 %doc ChangeLog AUTHORS NEWS README COPYING COPYING.LESSER examples/
 %{_libdir}/python2*/site-packages/libvirt.py*
@@ -98,6 +108,10 @@ CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.5.0-4
+- Python 2 subpackage renamed to python2-libvirt
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.0-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git libvoikko/libvoikko.spec libvoikko/libvoikko.spec.tmp
index 168383a409..33c5ef9a66 100644
--- libvoikko/libvoikko.spec
+++ libvoikko/libvoikko.spec.tmp
@@ -1,6 +1,6 @@
 Name:           libvoikko
 Version:        3.8
-Release:        4%{?dist}
+Release:        5%{?dist}
 Summary:        Voikko is a library for spellcheckers and hyphenators
 
 Group:          System Environment/Libraries
@@ -48,14 +48,15 @@ This package contains voikkospell and voikkohyphenate, small command line
 tools for testing libvoikko. These tools may also be useful for shell
 scripts.
 
-%package -n     python-libvoikko
+%package -n python2-libvoikko
+%{?python_provide:%python_provide python2-libvoikko}
 Summary:        Python interface to %{name}
 Group:          Development/Libraries
 Requires:       %{name} = %{version}-%{release}
 # Note: noarch subpackage, only works in Fedora >= 11
 BuildArch:      noarch
 
-%description -n python-libvoikko
+%description -n python2-libvoikko
 Python interface to libvoikko, library of Finnish language tools.
 This module can be used to perform various natural language analysis
 tasks on Finnish text.
@@ -107,10 +108,14 @@ install -pm 0644 python/libvoikko.py $RPM_BUILD_ROOT%{python_sitelib}/
 %{_libdir}/*.so
 %{_libdir}/pkgconfig/libvoikko.pc
 
-%files -n python-libvoikko
+%files -n python2-libvoikko
 %{python_sitelib}/%{name}.py*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.8-5
+- Python 2 subpackage renamed to python2-libvoikko
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.8-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git libwfut/libwfut.spec libwfut/libwfut.spec.tmp
index 572f162d45..802fba4980 100644
--- libwfut/libwfut.spec
+++ libwfut/libwfut.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:           libwfut
 Version:        0.2.3
-Release:        10%{?dist}
+Release:        11%{?dist}
 Summary:        Software updater tool for WorldForge applications
 
 Group:          Development/Libraries
@@ -35,12 +35,15 @@ Requires: pkgconfig %{name} = %{version}-%{release} libsigc++20-devel libcurl-de
 Development libraries and headers for linking against the libwfut library.
 
 
-%package python
+%package -n python2-libwfut
+%{?python_provide:%python_provide python2-libwfut}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary: Python interface for libwfut library
 Group:   Development/Libraries
 
 
-%description python
+%description -n python2-libwfut
 Python interface for libwfut library.
 
 
@@ -99,11 +102,15 @@ rm -rf $RPM_BUILD_ROOT
 %{_libdir}/libwfut-0.2.so
 %{_libdir}/pkgconfig/*.pc
 
-%files python
+%files -n python2-libwfut
 %{python_sitearch}/%{name}
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.3-11
+- Python 2 subpackage renamed to python2-libwfut
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git libxml2/libxml2.spec libxml2/libxml2.spec.tmp
index 3a28cb4a57..f83353a900 100644
--- libxml2/libxml2.spec
+++ libxml2/libxml2.spec.tmp
@@ -3,7 +3,7 @@
 Summary: Library providing XML and HTML support
 Name: libxml2
 Version: 2.9.4
-Release: 3%{?dist}%{?extra_release}
+Release: 4%{?dist}%{?extra_release}
 License: MIT
 Group: Development/Libraries
 Source: ftp://xmlsoft.org/libxml2/libxml2-%{version}.tar.gz
@@ -62,14 +62,15 @@ Requires: libxml2 = %{version}-%{release}
 Static library for libxml2 provided for specific uses or shaving a few
 microseconds when parsing, do not link to them for generic purpose packages.
 
-%package -n python-%{name}
+%package -n python2-%{name}
+%{?python_provide:%python_provide python2-%{name}}
 Summary: Python bindings for the libxml2 library
 Group: Development/Libraries
 Requires: libxml2 = %{version}-%{release}
 Obsoletes: %{name}-python < %{version}-%{release}
 Provides: %{name}-python = %{version}-%{release}
 
-%description -n python-%{name}
+%description -n python2-%{name}
 The libxml2-python package contains a Python 2 module that permits applications
 written in the Python programming language, version 2, to use the interface
 supplied by the libxml2 library to manipulate XML files.
@@ -190,7 +191,7 @@ rm -fr %{buildroot}
 
 %{_libdir}/*a
 
-%files -n python-%{name}
+%files -n python2-%{name}
 %defattr(-, root, root)
 
 %{_libdir}/python2*/site-packages/libxml2.py*
@@ -217,6 +218,10 @@ rm -fr %{buildroot}
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.9.4-4
+- Python 2 subpackage renamed to python2-libxml2
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.4-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git libxslt/libxslt.spec libxslt/libxslt.spec.tmp
index 0a574e046a..44537fe1f7 100644
--- libxslt/libxslt.spec
+++ libxslt/libxslt.spec.tmp
@@ -3,7 +3,7 @@
 Summary: Library providing the Gnome XSLT engine
 Name: libxslt
 Version: 1.1.29
-Release: 3%{?dist}%{?extra_release}
+Release: 4%{?dist}%{?extra_release}
 License: MIT
 Group: Development/Libraries
 Source: ftp://xmlsoft.org/XSLT/libxslt-%{version}.tar.gz
@@ -35,13 +35,16 @@ Requires: libgcrypt-devel
 The %{name}-devel package contains libraries and header files for
 developing applications that use %{name}.
 
-%package python
+%package -n python2-libxslt
+%{?python_provide:%python_provide python2-libxslt}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary: Python bindings for the libxslt library
 Group: Development/Libraries
 Requires: libxslt = %{version}-%{release}
 Requires: libxml2-python
 
-%description python
+%description -n python2-libxslt
 The libxslt-python package contains a module that permits applications
 written in the Python programming language to use the interface
 supplied by the libxslt library to apply XSLT transformations.
@@ -114,7 +117,7 @@ make tests
 %{_libdir}/pkgconfig/libxslt.pc
 %{_libdir}/pkgconfig/libexslt.pc
 
-%files python
+%files -n python2-libxslt
 %defattr(-, root, root,-)
 %{python_sitearch}/libxslt.py*
 %{python_sitearch}/libxsltmod*
@@ -124,6 +127,10 @@ make tests
 %doc python/tests/*.xsl
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.1.29-4
+- Python 2 subpackage renamed to python2-libxslt
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.29-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git lilv/lilv.spec lilv/lilv.spec.tmp
index 73d6cb578e..cf23cb4d29 100644
--- lilv/lilv.spec
+++ lilv/lilv.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:       lilv
 Version:    0.24.2
-Release:    2%{?dist}
+Release:    3%{?dist}
 Summary:    An LV2 Resource Description Framework Library
 
 License:    MIT
@@ -34,11 +34,12 @@ supports reading and writing Turtle and NTriples.
 
 This package contains the headers and development libraries for %{name}.
 
-%package -n python-%{name}
+%package -n python2-%{name}
+%{?python_provide:%python_provide python2-%{name}}
 Summary:    Python bindings for %{name}
 Requires:   %{name}%{_isa} = %{version}-%{release}
 
-%description -n python-%{name} 
+%description -n python2-%{name}
 %{name} is a lightweight C library for Resource Description Syntax which 
 supports reading and writing Turtle and NTriples.
 
@@ -92,10 +93,14 @@ chmod +x %{buildroot}%{_libdir}/lib%{name}-0.so.*
 %{_pkgdocdir}/%{name}-%{maj}/
 %{_mandir}/man3/*
 
-%files -n python-%{name}
+%files -n python2-%{name}
 %{python_sitelib}/%{name}.*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.24.2-3
+- Python 2 subpackage renamed to python2-lilv
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.24.2-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git lldb/lldb.spec lldb/lldb.spec.tmp
index 227568f7c1..d11bf12891 100644
--- lldb/lldb.spec
+++ lldb/lldb.spec.tmp
@@ -1,6 +1,6 @@
 Name:		lldb
 Version:	4.0.1
-Release:	2%{?dist}
+Release:	3%{?dist}
 Summary:	Next generation high-performance debugger
 
 License:	NCSA
@@ -37,12 +37,13 @@ Requires:	%{name}%{?_isa} = %{version}-%{release}
 %description devel
 The package contains header files for the LLDB debugger.
 
-%package -n python-lldb
+%package -n python2-lldb
+%{?python_provide:%python_provide python2-lldb}
 Summary:	Python module for LLDB
 BuildRequires:	python2-devel
 Requires:	python2-six
 
-%description -n python-lldb
+%description -n python2-lldb
 The package contains the LLDB Python module.
 
 %prep
@@ -115,10 +116,14 @@ rm -f %{buildroot}%{python_sitearch}/six.*
 %{_includedir}/lldb
 %{_libdir}/*.so
 
-%files -n python-lldb
+%files -n python2-lldb
 %{python_sitearch}/lldb
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 4.0.1-3
+- Python 2 subpackage renamed to python2-lldb
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git lunatic-python/lunatic-python.spec lunatic-python/lunatic-python.spec.tmp
index f5269f38f5..049501d322 100644
--- lunatic-python/lunatic-python.spec
+++ lunatic-python/lunatic-python.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           lunatic-python
 Version:        1.0.1
-Release:        0.18.%{bzrdate}bzr%{?dist}
+Release:        0.19.%{bzrdate}bzr%{?dist}
 Summary:        Two-way bridge between Python and Lua
 
 Group:          Development/Languages
@@ -22,13 +22,23 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:  python-devel compat-lua-devel pkgconfig
 
-%description
-Lunatic Python is a two-way bridge between Python and Lua, allowing
-these languages to intercommunicate. Being two-way means that it
-allows Lua inside Python, Python inside Lua, Lua inside Python inside
-Lua, Python inside Lua inside Python, and so on.
+%global _description\
+Lunatic Python is a two-way bridge between Python and Lua, allowing\
+these languages to intercommunicate. Being two-way means that it\
+allows Lua inside Python, Python inside Lua, Lua inside Python inside\
+Lua, Python inside Lua inside Python, and so on.\
 
 
+%description %_description
+
+%package -n python2-lunatic
+Summary: %summary
+%{?python_provide:%python_provide python2-lunatic}
+# Remove before F30
+Provides: lunatic-python = %{version}-%{release}
+
+%description -n python2-lunatic %_description
+
 %prep
 %setup -q -n %{name}
 
@@ -50,7 +60,7 @@ mv $RPM_BUILD_ROOT{%{python_sitearch}/python.so,%{lualibdir}}
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-lunatic
 %defattr(-,root,root,-)
 %doc LICENSE 
 %{lualibdir}/python.so
@@ -58,6 +68,10 @@ rm -rf $RPM_BUILD_ROOT
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.1-0.19.20090917bzr
+- Python 2 subpackage renamed to python2-lunatic
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-0.18.20090917bzr
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git mapserver/mapserver.spec mapserver/mapserver.spec.tmp
index 019878eab1..930dbd6283 100644
--- mapserver/mapserver.spec
+++ mapserver/mapserver.spec.tmp
@@ -9,7 +9,7 @@
 
 Name:           mapserver
 Version:        7.0.5
-Release:        4.git%{shortcommit}%{?dist}
+Release:        5.git%{shortcommit}%{?dist}
 Summary:        Environment for building spatially-enabled internet applications
 
 Group:          Development/Tools
@@ -96,13 +96,16 @@ Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
 The Perl/Mapscript extension provides full map customization capabilities
 within the Perl programming language.
 
-%package python
+%package -n python2-mapserver
+%{?python_provide:%python_provide python2-mapserver}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:        Python/Mapscript map making extensions to Python
 Group:          Development/Languages
 BuildRequires:  python2-devel
 Requires:       %{name} = %{version}-%{release}
 
-%description python
+%description -n python2-mapserver
 The Python/Mapscript extension provides full map customization capabilities
 within the Python programming language.
 
@@ -288,7 +291,7 @@ EOF
 %{perl_vendorarch}/auto/mapscript/*
 %{perl_vendorarch}/mapscript.pm
 
-%files python
+%files -n python2-mapserver
 %doc mapscript/python/README
 %doc mapscript/python/examples
 %doc mapscript/python/tests
@@ -308,6 +311,10 @@ EOF
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 7.0.5-5.git208bb3a
+- Python 2 subpackage renamed to python2-mapserver
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.5-4.git208bb3a
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git marisa/marisa.spec marisa/marisa.spec.tmp
index e05f3ab63e..913dc2fe19 100644
--- marisa/marisa.spec
+++ marisa/marisa.spec.tmp
@@ -1,6 +1,6 @@
 Name:		marisa
 Version:	0.2.4
-Release:	23%{?dist}
+Release:	24%{?dist}
 Summary:	Static and spece-efficient trie data structure library
 
 License:	BSD or LGPL
@@ -53,12 +53,15 @@ Requires:	%{name} = %{version}-%{release}
 Perl language binding for marisa
 
 
-%package python
+%package -n python2-%{name}
+%{?python_provide:%python_provide python2-%{name}}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:	Python language binding for marisa
 Group:		Development/Libraries
 Requires:	%{name} = %{version}-%{release}
 
-%description python
+%description -n python2-%{name}
 Python language binding for marisa
 
 
@@ -173,7 +176,7 @@ rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/sample.pl
 %{perl_vendorarch}/*
 %exclude %dir %{perl_vendorarch}/auto/
 
-%files python
+%files -n python2-%{name}
 %{python2_sitearch}/*
 
 %files -n python3-%{name}
@@ -184,6 +187,10 @@ rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/sample.pl
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.4-24
+- Python 2 subpackage renamed to python2-marisa
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-23
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git mathgl/mathgl.spec mathgl/mathgl.spec.tmp
index 10f46292bd..e5ed18a899 100644
--- mathgl/mathgl.spec
+++ mathgl/mathgl.spec.tmp
@@ -20,7 +20,7 @@
 Name:          mathgl
 Version:       2.3.5
 # .1 from Version go to Release as octave fails with 4 digits in ver string
-Release:       6%{?dist}.1
+Release:       7%{?dist}.1
 Summary:       Cross-platform library for making high-quality scientific graphics
 Summary(de):   Plattformübergreifende Bibliothek für hochwertige wissenschaftliche Graphiken
 Summary(ru):   Библиотека для осуществления высококачественной визуализации данных
@@ -142,12 +142,13 @@ mglview reads MGL scripts from scriptfile to produce plots of
 specified functions or data. The program will create a GUI window
 showing the script result.
 
-%package -n python-mathgl
+%package -n python2-mathgl
+%{?python_provide:%python_provide python2-mathgl}
 Summary:       Python module for MathGL
 Group:         Applications/Engineering
 Requires:      %{name} = %{version}-%{release}
 
-%description -n python-mathgl
+%description -n python2-mathgl
 %{Summary}.
 
 %if 0%{?with_octave}
@@ -542,7 +543,7 @@ fi
 %dir %{_datadir}/udav/
 %{_datadir}/pixmaps/*.png
 
-%files -n python-mathgl
+%files -n python2-mathgl
 %{python_sitelib}/*
 
 %if 0%{?with_octave}
@@ -591,6 +592,10 @@ fi
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.3.5-7.1
+- Python 2 subpackage renamed to python2-mathgl
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.5-6.1
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git mesos/mesos.spec mesos/mesos.spec.tmp
index b8a62d1947..7b21b4740c 100644
--- mesos/mesos.spec
+++ mesos/mesos.spec.tmp
@@ -17,7 +17,7 @@
 
 Name:          mesos
 Version:       0.23.0
-Release:       0.%{shortcommit}%{?dist}.7
+Release:       0.%{shortcommit}%{?dist}.8
 Summary:       Cluster manager for sharing distributed application frameworks
 License:       ASL 2.0
 URL:           http://mesos.apache.org/
@@ -123,13 +123,14 @@ Requires:       %{name}%{?_isa} = %{version}-%{release}
 The %{name}-java package contains Java bindings for %{name}.
 
 ##############################################
-%package -n python-%{name}
+%package -n python2-%{name}
+%{?python_provide:%python_provide python2-%{name}}
 Summary:        Python support for %{name}
 BuildRequires:  python2-devel
 Requires:       %{name}%{?_isa} = %{version}-%{release}
 Requires:       python2
 
-%description -n python-%{name}
+%description -n python2-%{name}
 The python-%{name} package contains Python bindings for %{name}.
 
 ##############################################
@@ -314,7 +315,7 @@ cp -rf src/examples %{buildroot}%{_datadir}/%{name}
 %endif
 
 ######################
-%files -n python-%{name}
+%files -n python2-%{name}
 %doc LICENSE NOTICE
 %{python_sitelib}/*
 %{python_sitearch}/*
@@ -340,6 +341,10 @@ exit 0
 /sbin/ldconfig
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.23.0-0.4ce5475.8
+- Python 2 subpackage renamed to python2-mesos
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.0-0.4ce5475.7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
